Skip to main content
PATCH
/
v2
/
notifications
/
subscriptions
/
{id}
Update a notification subscription
curl --request PATCH \
  --url https://api.circle.com/v2/notifications/subscriptions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Transactions Webhook",
  "enabled": true
}
'
import requests

url = "https://api.circle.com/v2/notifications/subscriptions/{id}"

payload = {
    "name": "Transactions Webhook",
    "enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'Transactions Webhook', enabled: true})
};

fetch('https://api.circle.com/v2/notifications/subscriptions/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
    "name": "Transactions Webhook",
    "endpoint": "https://example.org/handler/for/notifications",
    "enabled": true,
    "createDate": "2023-01-01T12:04:05Z",
    "updateDate": "2023-01-01T12:04:05Z",
    "notificationTypes": [
      "*"
    ],
    "restricted": false
  }
}
{
  "code": 400,
  "message": "Bad request."
}
{
  "code": 401,
  "message": "Malformed authorization."
}
{
  "code": 404,
  "message": "Not found."
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-Request-Id
string<uuid>

Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.

A unique identifier, which can be helpful for identifying a request when communicating with Circle support.

Example:

"2adba88e-9d63-44bc-b975-9b6ae3440dde"

Path Parameters

id
string<uuid>
required

The universally unique identifier of the resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Body

application/json

Schema for the request payload to update a new subscription.

name
string
required

Name of the subscription.

Example:

"Transactions Webhook"

enabled
boolean
required

Whether the subscription is enabled. true indicates the subscription is active.

Example:

true

Response

Successfully updated notification subscription.

data
Subscription · object

Contains information about a webhook notification subscription.